From b0afa7712a01145dd03e286e43b8b3aeeb414b2e Mon Sep 17 00:00:00 2001
From: Miroslav Rezanina <mrezanin@redhat.com>
Date: Wed, 31 Jul 2013 08:06:56 +0200
Subject: [PATCH 051/212] disable s3/s4 by default

Message-id: <1374235471-27096-2-git-send-email-armbru@redhat.com>
Patchwork-id: 52604
O-Subject: [RHEL-7 PATCH qemu-kvm 1/2] disable s3/s4 by default
Bugzilla: 980840
RH-Acked-by: Amit Shah <amit.shah@redhat.com>
RH-Acked-by: Laszlo Ersek <lersek@redhat.com>
RH-Acked-by: Bandan Das <bsd@redhat.com>
RH-Acked-by: Gleb Natapov <gleb@redhat.com>

From: Gleb Natapov <gleb@redhat.com>

After the changes proposed in Bug 827503, S3/S4 will be enabled by
default on qemu/seabios, but we want it disabled by default in RHEL6.4
to avoid problems on problematic OSes (it'll be enabled on a
case-by-case basis in the management layer).

Since we want to have it fully supported when enabled, QE should perform
the expected tests (which AFAIK have been run in rhel6.3 already, so
enabling it manually should not be a problem).

Signed-off-by: Gleb Natapov <gleb@redhat.com>
Signed-off-by: Eduardo Habkost <ehabkost@redhat.com>
(cherry picked from commit 625992f4673989108819db751aa9066b65fc6020)

Picked from qemu-kvm-rhel6.

Conflicts:
        hw/acpi.c
Signed-off-by: Markus Armbruster <armbru@redhat.com>
---
 hw/acpi/piix4.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/hw/acpi/piix4.c b/hw/acpi/piix4.c
index b72b34e..913b2b0 100644
--- a/hw/acpi/piix4.c
+++ b/hw/acpi/piix4.c
@@ -582,8 +582,8 @@ static void piix4_ospm_status(AcpiDeviceIf *adev, ACPIOSTInfoList ***list)
 
 static Property piix4_pm_properties[] = {
     DEFINE_PROP_UINT32("smb_io_base", PIIX4PMState, smb_io_base, 0),
-    DEFINE_PROP_UINT8(ACPI_PM_PROP_S3_DISABLED, PIIX4PMState, disable_s3, 0),
-    DEFINE_PROP_UINT8(ACPI_PM_PROP_S4_DISABLED, PIIX4PMState, disable_s4, 0),
+    DEFINE_PROP_UINT8(ACPI_PM_PROP_S3_DISABLED, PIIX4PMState, disable_s3, 1),
+    DEFINE_PROP_UINT8(ACPI_PM_PROP_S4_DISABLED, PIIX4PMState, disable_s4, 1),
     DEFINE_PROP_UINT8(ACPI_PM_PROP_S4_VAL, PIIX4PMState, s4_val, 2),
     DEFINE_PROP_BOOL("acpi-pci-hotplug-with-bridge-support", PIIX4PMState,
                      use_acpi_pci_hotplug, true),
-- 
1.7.1

